package com.kfzs.duanduan.bean;

/**
 * @ Created by Dlg
 * @ <p>TiTle:  VipStyle</p>
 * @ <p>Description:不同渠道的不同主题图片和配色等</p>
 * @ date:  2017/12/14 14:36
 * @ QQ:    315096953
 */

public class VipStyle {

    private int id = 1;
    private String banner = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_banner.png";
    private String kaixinwan1 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_kaixinwan_1.png";
    private String kaixinwan2 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_kaixinwan_2.png";
    private String cate1 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_cate_1.png";
    private String cate2 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_cate_2.png";
    private String star1 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_star_1.png";
    private String star2 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_star_2.png";
    private String receive = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_receive.png";
    private String luntan1 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_luntan_1.png";
    private String luntan2 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_luntan_2.png";
    private String buttonback = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_button_back.png";
    private String wo1 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_wo_1.png";
    private String wo2 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_wo_2.png";
    private String download = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_download.png";
    private String rhombus = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_rhombus.png";
    private String game1 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_game_1.png";
    private String game2 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_game_2.png";
    private String more = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_more.png";
    private int viptypeid = 1;//默认为1
    private String viptypename = "好玩";
    private String gamebookimg = "";
    private String indexbanner = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_index_banner.png";
    private String taozhewan = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_taozhewan.png";
    private String kaixinwan = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_kaixwan.png";
    private String yiqiwan = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_yiqiw.png";

    private String task_1 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_cate_1.png";
    private String task_2 = "http://7xp90a.com1.z0.glb.clouddn.com/miaofan_cate_2.png";

    private static VipStyle mVipStyle;

    public static synchronized VipStyle getInstance() {
        if (mVipStyle == null) {
            mVipStyle = new VipStyle();
        }
        return mVipStyle;
    }

    public void init(VipStyle vipStyle) {
        mVipStyle = vipStyle;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getBanner() {
        return banner;
    }

    public void setBanner(String banner) {
        this.banner = banner;
    }

    public String getKaixinwan1() {
        return kaixinwan1;
    }

    public void setKaixinwan1(String kaixinwan1) {
        this.kaixinwan1 = kaixinwan1;
    }

    public String getKaixinwan2() {
        return kaixinwan2;
    }

    public void setKaixinwan2(String kaixinwan2) {
        this.kaixinwan2 = kaixinwan2;
    }

    public String getCate1() {
        return cate1;
    }

    public void setCate1(String cate1) {
        this.cate1 = cate1;
    }

    public String getCate2() {
        return cate2;
    }

    public void setCate2(String cate2) {
        this.cate2 = cate2;
    }

    public String getStar1() {
        return star1;
    }

    public void setStar1(String star1) {
        this.star1 = star1;
    }

    public String getStar2() {
        return star2;
    }

    public void setStar2(String star2) {
        this.star2 = star2;
    }

    public String getReceive() {
        return receive;
    }

    public void setReceive(String receive) {
        this.receive = receive;
    }

    public String getLuntan1() {
        return luntan1;
    }

    public void setLuntan1(String luntan1) {
        this.luntan1 = luntan1;
    }

    public String getLuntan2() {
        return luntan2;
    }

    public void setLuntan2(String luntan2) {
        this.luntan2 = luntan2;
    }

    public String getButtonback() {
        return buttonback;
    }

    public void setButtonback(String buttonback) {
        this.buttonback = buttonback;
    }

    public String getWo1() {
        return wo1;
    }

    public void setWo1(String wo1) {
        this.wo1 = wo1;
    }

    public String getWo2() {
        return wo2;
    }

    public void setWo2(String wo2) {
        this.wo2 = wo2;
    }

    public String getDownload() {
        return download;
    }

    public void setDownload(String download) {
        this.download = download;
    }

    public String getRhombus() {
        return rhombus;
    }

    public void setRhombus(String rhombus) {
        this.rhombus = rhombus;
    }

    public String getGame1() {
        return game1;
    }

    public void setGame1(String game1) {
        this.game1 = game1;
    }

    public String getGame2() {
        return game2;
    }

    public void setGame2(String game2) {
        this.game2 = game2;
    }

    public String getMore() {
        return more;
    }

    public void setMore(String more) {
        this.more = more;
    }

    public int getViptypeid() {
        return viptypeid;
    }

    public void setViptypeid(int viptypeid) {
        this.viptypeid = viptypeid;
    }

    public String getViptypename() {
        return viptypename;
    }

    public void setViptypename(String viptypename) {
        this.viptypename = viptypename;
    }

    public String getGamebookimg() {
        return gamebookimg;
    }

    public void setGamebookimg(String gamebookimg) {
        this.gamebookimg = gamebookimg;
    }

    public String getIndexbanner() {
        return indexbanner;
    }

    public void setIndexbanner(String indexbanner) {
        this.indexbanner = indexbanner;
    }

    public String getTaozhewan() {
        return taozhewan;
    }

    public void setTaozhewan(String taozhewan) {
        this.taozhewan = taozhewan;
    }

    public String getKaixinwan() {
        return kaixinwan;
    }

    public void setKaixinwan(String kaixinwan) {
        this.kaixinwan = kaixinwan;
    }

    public String getYiqiwan() {
        return yiqiwan;
    }

    public void setYiqiwan(String yiqiwan) {
        this.yiqiwan = yiqiwan;
    }

    public String getTask_1() {
        return task_1;
    }

    public void setTask_1(String task_1) {
        this.task_1 = task_1;
    }

    public String getTask_2() {
        return task_2;
    }

    public void setTask_2(String task_2) {
        this.task_2 = task_2;
    }
}
